Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 5.0.0SynchronousAuth Required

SNSDingTalkTestConnection

SNSDingTalkTestConnection

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • testMsgStringRequired

      Testing message text.

    • endpointUuidString

      Optional. DingTalk endpoint uuid.

    • urlString

      Optional. The webhook url.

    • atAllBoolean

      Optional. Whether @all or not.

    • atPersonPhoneNumbersList

      Optional. @person phone number.

    • secretString

      Optional. The DingTalk secret key.

  • systemTagsList

    Optional. The system tag.

  • userTagsList

    Optional. The user tag.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • connectedbooleanRequired

    The webhook url connectivity id. (connectivity only)

  • webhookRespLinkedHashMapRequired

    Webhook url sents a test message to the other end of the return. (https://open.dingtalk.com/document/robots/custom-robot-access#title-7ur-3ok-s1a)

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/sns/application-endpoints/ding-talk/test-connection

/zstack/v1/sns/application-endpoints/ding-talk/test-connection

Operation ID

SNSDingTalkTestConnection

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/ding-talk/test-connection' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"testMsg":"<testMsg>","endpointUuid":"<endpointUuid>","url":"<url>","atAll":true,"atPersonPhoneNumbers":["<atPersonPhoneNumbers>"],"secret":"<secret>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "connected": true, "webhookResp": {} }

Change History

This API has no change history records yet.

View all change history